#
# spec file for package perl-Net-HTTP
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-HTTP
Version:        6.06
Release:        5.2
%define cpan_name Net-HTTP
Summary:        Low-level HTTP connection (client)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-HTTP/
Source:         http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
# add-ipv6-support.patch (bsc#977193)
Patch0:         add-ipv6-support.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(URI)
#BuildRequires: perl(IO::Socket::SSL)
#BuildRequires: perl(IO::Uncompress::Gunzip)
#BuildRequires: perl(Net::HTTP)
#BuildRequires: perl(Net::HTTP::Methods)
#BuildRequires: perl(Net::HTTP::NB)
#BuildRequires: perl(Net::HTTPS)
#BuildRequires: perl(Net::SSL)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(URI)
Recommends:     perl(IO::Socket::SSL) >= 1.38
%{perl_requires}

%description
The 'Net::HTTP' class is a low-level HTTP client. An instance of the
'Net::HTTP' class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The 'Net::HTTP' class supports
'HTTP/1.0' and 'HTTP/1.1'.

'Net::HTTP' is a sub-class of 'IO::Socket::INET'. You can mix the methods
described below with reading and writing from the socket directly. This is
not necessary a good idea, unless you know what you are doing.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Jun 21 2016 pjanouch@suse.de
- Support IPv6 (bsc#977193)
  * add add-ipv6-support.patch
  * Add BuildRequires and Requires on perl(URI)
* Wed Jun  5 2013 coolo@suse.com
- updated to 6.06
    IO::Socket::SSL doesn't play well with select() [RT#81237]
    Convert to Test::More style and disable test on Windows [RT#81090]
* Fri Feb 17 2012 coolo@suse.com
- updated to 6.03
  Restore blocking override for Net::SSL [RT#72790]
  Restore perl-5.6 compatiblity.
* Mon Feb 13 2012 coolo@suse.com
- updated to 6.02
  * Don't disable blocking method [RT#72580]
  * Don't stop on unrecognized Makefile.PL arguments [RT#68337]
  * Document Net:HTTPS [RT#71599]
* Mon Aug 29 2011 chris@computersalat.de
- update to 6.01
  * Don't run live test by default.
    Run 'perl Makefile.PL --live-tests' to enable.
  * More relaxed apache test; should pass even if proxies has added headers.
- fix build for CentOS
  * Unknown tag: Recommends:
* Wed Mar 16 2011 chris@computersalat.de
- fix deps
  o add perl(Compress::Raw::Zlib), perl(IO::Compress::Gzip)
  o Recommends: perl(IO::Socket::SSL) >= 1.38
* Mon Mar 14 2011 vcizek@novell.com
- initial package 6.00
  * created by cpanspec 1.78.03
